Runtime

## org.eclipse.gmf.runtime.common.ui.services.editor
Class OpenEditorOperation

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.services.editor.OpenEditorOperation

All Implemented Interfaces:
  IOperation

public class OpenEditorOperation
extends java.lang.Object
implements IOperation

An operation that opens an editor with a given input

Constructor Summary
`protected` `OpenEditorOperation(IEditorInput anEditorInput)` Constructs a new OpenEditorOperation with the given editor input

Method Summary
`java.lang.Object` `execute(IProvider provider)` Executes this operation on the specified provider.
`IEditorInput` `getEditorInput()` Retrieves the editor input

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OpenEditorOperation

    protected OpenEditorOperation(IEditorInput anEditorInput)

  Constructs a new OpenEditorOperation with the given editor input

Parameters:
  `anEditorInput` - the editor input

Method Detail

### getEditorInput

    public IEditorInput getEditorInput()

  Retrieves the editor input

  Returns:
    IEditorInput

### execute

    public java.lang.Object execute(IProvider provider)

  Description copied from interface: `IOperation`
  Executes this operation on the specified provider.

  Service implementers generally implement this method by first casting the provider to their service specific `IProvider`-derived class and then by delegating it the execution. Delegation is accomplished through the service specific provider derived class API.

  Specified by:
    `execute` in interface `IOperation`
  Parameters:
    `provider` - The provider on which to execute the operation.
  Returns:
    The result of executing this operation.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.